HINO Bugs - Feature #1476

[ESS-OVERTIME] Penambahan validasi jika employee ada attendance dengan attendance type WFH
tidak boleh mengajukan overtime

08/11/2022 09:46 AM - Muhammad Bintar

Status: Closed Start date: 08/11/2022
Priority: Normal Due date: 08/12/2022
Assignee: Saswanto Tampan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear tim developer,
mohon support nya untuk penambahan fitur dimana jika ada employee memilih tanggal overtime, jika ada attendance di tanggal
tersebut dengan attendance type WFH tidak berhak mengajukan overtime, kalau WFO berhak mengambil Overtime.

remote.minovais.com:61120
username woty

database sql server 2019
remote.minovais.com, 1445\MSSQLSERVER2019

History

#1 - 08/11/2022 01:19 PM - Muhammad Bintar

- File clipboard-202208111318-kxg9x.png added
- File clipboard-202208111318-jkssa.png added

- Status changed from New to QA Test

- Assignee changed from Saswanto Tampan to Muhammad Bintar

update :

pada custparam di OVTBCKDET ditambahkan querynya dari:

SELECT StartTime,EndTime FROM PHRPA0019 WHERE StartDate=@Sdate and EmployeelD =@EmpID

ke :

SELECT StartTime,EndTime,AttendanceType FROM PHRPA0019 WHERE StartDate=@Sdate and EmployeelD =@EmpID

pada defbiproc ditambahkan sebagai berikut pada onMethodExtension
142 var endDate = body.down (' [name=DateTo]'); ~
143 var startTime = Ext.ComponentQuery.query(' [name=TimeStart] ') [0].getSubmitValue();
144 var endTime = Ext.ComponentQuery.query (' [name=TimeTo]") [0] .getSubmitValue();
145 var Duration = body.down(' [name=Duration]');
l4g var startOvt = (startDate.getValue() + startTime);
var endOvt = (endDate.getValue() + endTime);
var hasil = MinovaUtil.GetTimeDiff (startOwvt, endOvt):
hasil = hasil.toString().substring(0, 5);
if (isNaN(hasil)) |{
hasil = '';
1
Duration.setValue (hasil);
1
function SetTimstart() {
var body = MinovalUtil.WORKFLOW.getViewBodyWorkflow();
var sdate = body.down('field[name=DateFrom]’).getValue();
var emp = MinovaUtil.WORKFLOW.getEmpId():
var startTime = body.down('field[name=TimeStart]'):
var endlime = body.down('field[name=TimeTo]"):
var now = MinovaUtil.GetNowDate();
var onoff = '';
var day = "";
var time = '';
var stime = '';
ime = 17;:
Sime - di function SetTimstart ditambahlan var atttyp
ery ({
1 ID: 'ONOFTM'
1 }, function (s) |
17 var result = Ext.decode (s.responseText);
17 var dt = Ext.decode (Ext.decode (result.data));
17 if (dt.length == 0) [
17 onoff = '";
1 } else {
1 var val = dt[0].result;
1 onoff = val;
1 1 v
day = '';
} else |
var val = dt[0].result;
day = wals

1
B
MinovaUtil.ExecuteParamluery ({
ID: "OVIBCEDET',
EmpID: emp,
Sdate: sdate
}, function (3) {
var result = Ext.decode(s.responseText);
var dt = Ext.decode (Ext.decode (result.data)) s
if (dt.length == 0} |
etime = '';
stime = '';
} else |
war val = dt[0].3tartTime;
var vall = dt[0].EndTime;
stime = val;
Stipe = vall:
I atttyp = dc[0].&tcendanceType: I

startTime.setValue (time) ;
endTime.setValue (etime);

} else if (stime == '' || etime == '" | _ {
MinovaMessageInfo ("Information™, ™ "
body.down ('field [name=DateFrom] ') .setValus("'");
body.down (' field[name=DateTo] ') .setValue(""):
startTime.clearValue ()7
endTime.clearValue();

] else |
endTime.clearValue():

1
#2 - 08/16/2022 01:14 PM - Muhammad Bintar
- Status changed from QA Test to Closed

- Assignee changed from Muhammad Bintar to Saswanto Tampan

update:
sudah selesai dan sudah di deploy ke hino prod client

Files

T
if (onoff == '1" && day == "1' && sdate != now && time != "' g& stime != "' g& etime = '') |
